petsc-3.12.1 2019-10-22
Report Typos and Errors

# VECMPIVIENNACL

VECMPIVIENNACL = "mpiviennacl" - The basic parallel vector, modified to use ViennaCL

### Options Database Keys

-vec_type mpiviennacl -sets the vector type to VECMPIVIENNACL during a call to VecSetFromOptions()

### See Also

VecCreate(), VecSetType(), VecSetFromOptions(), VecCreateMPIWithArray(), VECMPI, VecType, VecCreateMPI(), VecCreateMPI()

### Level

beginner

### Location

src/vec/vec/impls/mpi/mpiviennaclcuda/mpiviennaclcuda.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages